.module-options {
    @apply flex flex-col;
    @apply relative;

    .option-icon {
        @apply text-brand-red;
        @apply cursor-pointer;
        @apply w-8 h-8 rounded-full;
        @apply bg-white;
        @apply flex justify-center items-center;
        @apply transition ease-in-out duration-200;

        &:hover {
            @apply transform rotate-90;
            @apply bg-red-100;
        }
    }

    .option-selection {
        @apply absolute right-0;
        @apply bg-white;
        @apply rounded-md shadow-lg;
        @apply w-48;
        @apply z-10;
        @apply p-2;


        .close {
            @apply flex justify-end items-center;
            @apply my-2;

            &>* {
                @apply cursor-pointer;
                @apply text-brand-black;
                @apply transition ease-in-out duration-200;

                &:hover {
                    @apply text-brand-red;
                    @apply transform scale-105 rotate-180;
                }
            }
        }

        .options {
            @apply w-full;

            .option-item {
                @apply flex items-center;
                @apply cursor-pointer;
                @apply my-2;

                .icon {
                    @apply w-1/4;
                    @apply flex items-center justify-center;
                    @apply text-brand-red;
                    @apply transition ease-in-out duration-200;

                    &:hover {
                        @apply transform scale-105 -rotate-45;
                    }
                }

                .title {
                    @apply w-3/4;
                    @apply flex items-center justify-center;
                    @apply text-brand-black;

                    @apply transition ease-in-out duration-100;

                    &:hover {
                        @apply text-brand-red;
                    }
                }
            }
        }
    }
}